#!/bin/bash
#*************************************************
# File Name  : comACT.sh
# Version    : 1.01
# How to Use : /bin/bash comACT.sh [File name] 
# Format     : No,"command" 
# 
#************************************************* 
COM_LIST_FILE=$1 
#COM_LIST_FILE="comList.txt" 

if [ -e $COM_LIST_FILE ]; then
  echo "$COM_LIST_FILE found."
else
  echo "$COM_LIST_FILE NOT found."
  exit 9
fi

yesno() {
 while
   echo "Run Command  [Y] Run  [N] Skip  [Q] Quit" 
  do
   read -p "Input key: " yn_input < /dev/tty

          case ${yn_input} in
           [Yy])
             yn_result=0
             break
             ;;

           [Yy][Ee][Ss])
             yn_result=0
             break
             ;;

           [Nn])
             yn_result=1
             break
             ;;

           [Nn][Oo])
             yn_result=1
             break
             ;;

           [Qq])
             yn_result=2
             break 
             ;;

           [Qq][Uu][Ii][Tt])
             yn_result=2
             break
             ;;

           *) echo "Check Input Key"
             ;;
          esac
     done
}

while read line
 do
  result=${line}

# Skip to Comment and Space Line
## 
  if [ -z "${result}" ]; then	
  	echo "--- Space ---"

  elif [ `echo ${result} | cut -c 1` = "#" ]; then
		echo "--- Comment ---"

  else

## get NO.
  getNO=`echo $line | awk -F\, '{print $1}'`

## get Command
  getCOM=`echo $line | grep -oP '(?<=").+(?=")'`

		echo " "						
		echo "--------------------------------------------------"
		echo "No. : $getNO"		
		echo "COM : $getCOM" 
		echo "--------------------------------------------------" 
  echo ""

## Yes/No/Quit
 yesno

    if [ ${yn_result} -eq 0 ] ; then

## Run
    echo " "
    echo "**************************************************"
    eval ${getCOM}
 	  echo "**************************************************"
 	  echo " "
	   echo "Status $?"

    elif [ ${yn_result} -eq 1 ]; then

## Skip to Command
     echo "Skip to Command"
     echo " "

    else [ ${yn_result} -eq 2 ] 

## Quit
     echo "Quit Script"
		    exit 9
    fi
  fi
 done 0< $COM_LIST_FILE
exit
